package com.ruoyi.ibs.grid.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ibs.grid.domain.entity.IbsAnchor;
import com.ruoyi.ibs.grid.domain.vo.*;
import org.apache.ibatis.annotations.CacheNamespace;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

@Mapper
@CacheNamespace
public interface AnchorMapper extends BaseMapper<IbsAnchor> {
    List<AnchorVo> selectAnchorList(HashMap<String, Object> paramMap);

    List<AnchorVo> selectAnchorListWithRegion(HashMap<String, Object> paramMap);

    List<AuditVo> selectAuditList(HashMap<String, Object> paramMap);

    List<IgnoreVo> selectIgnoreList(HashMap<String, Object> paramMap);

    int delIgnore(int id);

    int delAnchor(int id);

    AnchorDetail selectAnchorDetail(HashMap<String, Object> paramMap);

    List<AddressDetail> selectAnchorAddressList(HashMap<String, Object> paramMap);

    List<AddressDetail> selectAnchorAddressListByCustId(@Param("custId") String custId);

    int reAudit(int id);

    int setIgnore(int id);

    int updateAnchor(HashMap<String, Object> anchorParamMap);

    AddressDetail selectAddressDetailById(Long id);

    int delAnchorByLegalId(String legalId);

    int delAddressByLegalId(String legalId);

    int updateAnchor2(HashMap<String, Object> anchorParamMap);

    List<String> selectChangeAnchor(HashMap<String, Object> paramMap);

    LaLuVo selectLaLu(String custId);

    String selectBusinessCust(HashMap<String, Object> paramMap);

    String selectMerchantCust(HashMap<String, Object> paramMap);

    String selectRetailCust(HashMap<String, Object> paramMap);

    List<AddressDetail> selectCustAddressList(String legalId);

    int updateAnchorByCust(HashMap<String, Object> anchorParamMap);

    Long selectCountCust(HashMap<String, Object> paramMap);

    Long selectCountCustAddress(HashMap<String, Object> paramMap);

//    IbsAnchor selectAnchorByAnchorId(String anchorId);
}
